<template>
  <div>
  <div >
    <input type="text" id="position" v-model="requete" v-on:keypress="goMeteo">
  </div>

  <div v-if="temps">
    <h3>Position : {{temps.name}}</h3>
    <h4>Température : {{temps.main.temp}} Degrés</h4>
    <!-- <h4>Temps : {{temps.wheather[0].icon}}</h4> -->
  </div>
</div>
</template>

<script>

import axios from 'axios';

export default {
  name: 'HelloWorld',
  data() {
    return {
      requete: '',
      temps: undefined,
      apiCode: '73af0b4f2be7eb1b810c21dde613c965',
      urlRecherche: 'https://api.openweathermap.org/data/2.5/weather?',
    };
  },

  methods: {
    goMeteo(e) {
      if (e.key === 'Enter') {
        axios
          .get(`${this.urlRecherche}q=${this.requete}&units=metric&appid=${this.apiCode}&lang=fr`)
          .then((reponse) => (
            this.temps = reponse.data
          ));
        this.requete = '';
      }
    },
  },

};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
